=== debian/changelog ===
cpp-netlib (0.11.0-1) unstable; urgency=low

  * New upstream release.
  * Update to latest Standards-Version.
  * Disable tests that require an internet connection. (Closes: #731011)

 -- Ximin Luo <infinity0@pwned.gg>  Sun, 09 Feb 2014 16:01:56 +0000

cpp-netlib (0.10.1-1) unstable; urgency=low

  * Initial release (Closes: #727212)

 -- Ximin Luo <infinity0@gmx.com>  Sun, 27 Oct 2013 14:22:08 +0000
