=== debian/control ===
Source: cpp-netlib
Priority: extra
Maintainer: Ximin Luo <infinity0@pwned.gg>
Build-Depends: debhelper (>= 9), cmake,
 libboost-test-dev (>= 1.54),
 libboost-system-dev (>= 1.54),
 libboost-regex-dev (>= 1.54),
 libboost-date-time-dev (>= 1.54),
 libboost-thread-dev (>= 1.54),
 libboost-filesystem-dev (>= 1.54),
 libboost-program-options-dev (>= 1.54),
 libboost-chrono-dev (>= 1.54),
 libssl-dev
Build-Depends-Indep: python-sphinx
Standards-Version: 3.9.5
Section: libs
Homepage: http://cpp-netlib.org/
Vcs-Git: git://anonscm.debian.org/users/infinity0-guest/cpp-netlib.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/infinity0-guest/cpp-netlib.git

Package: libcppnetlib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libcppnetlib0 (= ${binary:Version}),
 libboost-system-dev,
 libboost-regex-dev,
 libboost-date-time-dev,
 libboost-thread-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-chrono-dev,
 libssl-dev
Suggests: libcppnetlib-doc
Description: C++ Network Library - development files
 The C++ Network Library Project aims to build upon the latest C++ standard
 (currently C++11) to provide easy to use libraries for network programming. We
 use the latest compiler versions and features with an eye on pushing the
 boundaries on leveraging what's available in C++.
 .
 Currently the library contains an HTTP client and server implementation, a
 stand-alone URI library, a network message framework, and some concurrency
 tools.
 .
 This package provides the development files (ie. includes, static library,
 manual pages) that allow to build software which uses libcppnetlib.

Package: libcppnetlib0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ Network Library
 The C++ Network Library Project aims to build upon the latest C++ standard
 (currently C++11) to provide easy to use libraries for network programming. We
 use the latest compiler versions and features with an eye on pushing the
 boundaries on leveraging what's available in C++.
 .
 Currently the library contains an HTTP client and server implementation, a
 stand-alone URI library, a network message framework, and some concurrency
 tools.
 .
 This package provides the shared libraries needed to run programs using
 libcppnetlib.

Package: libcppnetlib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-sphinxdoc
Description: C++ Network Library - documentation
 The C++ Network Library Project aims to build upon the latest C++ standard
 (currently C++11) to provide easy to use libraries for network programming. We
 use the latest compiler versions and features with an eye on pushing the
 boundaries on leveraging what's available in C++.
 .
 Currently the library contains an HTTP client and server implementation, a
 stand-alone URI library, a network message framework, and some concurrency
 tools.
 .
 This package provides additional documentation, including a tutorial, example
 code, and API reference.
