=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure-arch:
	dh_auto_configure -- -DCPP-NETLIB_BUILD_SHARED_LIBS:BOOL=ON

override_dh_auto_configure-indep:

override_dh_auto_build-indep:
	cd libs/network/doc && $(MAKE) html

override_dh_auto_test-indep:

override_dh_auto_clean:
	cd libs/network/doc && $(MAKE) clean
	dh_auto_clean

override_dh_compress:
	dh_compress -X /examples/
