=== debian/watch ===
version=3
http://cpp-netlib.org/ http://commondatastorage.googleapis.com/cpp-netlib-downloads/(?:\d.*)/cpp-netlib-(.*)\.tar\.gz
