## cpp-netlib 0.11.1%2bdfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,8 @@
 project(CPP-NETLIB)
 
 option( CPP-NETLIB_BUILD_SHARED_LIBS "Build cpp-netlib as shared libraries." OFF )
+option( CPP-NETLIB_BUILD_TESTS "Build the cpp-netlib project tests." ON)
+option( CPP-NETLIB_BUILD_EXAMPLES "Build the cpp-netlib project examples." ON)
 
 include(GNUInstallDirs)
 
@@ -14,7 +16,7 @@
 if(WIN32 AND NOT CYGWIN)
     set(DEF_INSTALL_CMAKE_DIR CMake)
 else()
-    set(DEF_INSTALL_CMAKE_DIR lib/CMake/cppnetlib)
+    set(DEF_INSTALL_CMAKE_DIR lib/cmake/cppnetlib)
 endif()
 set(INSTALL_CMAKE_DIR ${DEF_INSTALL_CMAKE_DIR} CACHE PATH "Installation directory for CMake files")
 
@@ -67,7 +69,7 @@
   else()
     # We just add the -Wall and a high enough template depth
     # flag for Clang in other systems.
-    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -ftemplate-dempth=256")
+    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -ftemplate-depth=256")
   endif()
 endif()
 
@@ -82,12 +84,16 @@
     include_directories(${Boost_INCLUDE_DIRS})
     enable_testing()
     add_subdirectory(libs/network/src)
-    add_subdirectory(libs/network/test)
+    if (CPP-NETLIB_BUILD_TESTS)
+      add_subdirectory(libs/network/test)
+    endif (CPP-NETLIB_BUILD_TESTS)
     add_subdirectory(libs/network/experiment)
-    if (NOT MSVC)
+    if (NOT MSVC AND CPP-NETLIB_BUILD_TESTS)
       add_subdirectory(libs/mime/test)
-    endif(NOT MSVC)
-    add_subdirectory(libs/network/example)
+    endif(NOT MSVC AND CPP-NETLIB_BUILD_TESTS)
+    if (CPP-NETLIB_BUILD_EXAMPLES)
+      add_subdirectory(libs/network/example)
+    endif (CPP-NETLIB_BUILD_EXAMPLES)
 endif(Boost_FOUND)
 
 if (MSVC)
