## cpp-netlib 0.11.1+dfsg1

=== debian/changelog ===
cpp-netlib (0.11.1+dfsg1-4) unstable; urgency=low

  * Disable another failing connectivity test.

 -- Ximin Luo <infinity0@pwned.gg>  Thu, 18 Jun 2015 16:22:48 +0200

cpp-netlib (0.11.1+dfsg1-3) unstable; urgency=medium

  * Build documentation reproducibly.

 -- Ximin Luo <infinity0@pwned.gg>  Wed, 17 Jun 2015 19:39:03 +0200

cpp-netlib (0.11.1+dfsg1-2) unstable; urgency=medium

  * Install cmake project files in arch-dependent directories. (Closes: #773603)

 -- Ximin Luo <infinity0@pwned.gg>  Mon, 22 Dec 2014 01:12:05 +0100

cpp-netlib (0.11.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Install cmake package configuration files. (Closes: #760351)
  * Update to latest Standards-Version. No changes required.

 -- Ximin Luo <infinity0@pwned.gg>  Fri, 19 Dec 2014 22:03:13 +0100

cpp-netlib (0.11.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use ggc-min-expand=20 to build on mips/mipsel.
    Patch by Dejan Latinovic.
    Closes: #754258.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 15 Jul 2014 11:36:59 +0100
