=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libboost-chrono-dev (>= 1.54),
  libssl-dev
 Build-Depends-Indep: python-sphinx
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://cpp-netlib.org/
 Vcs-Git: git://anonscm.debian.org/users/infinity0-guest/cpp-netlib.git
@@ -43,7 +43,7 @@
  tools.
  .
  This package provides the development files (ie. includes, static library,
- manual pages) that allow to build software which uses libcppnetlib.
+ manual pages) that allow one to build software which uses libcppnetlib.
 
 Package: libcppnetlib0
 Architecture: any
