=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
http://cpp-netlib.org/ http://storage.googleapis.com/cpp-netlib-downloads/(?:\d.*)/cpp-netlib-(.*?)(?:-final)?\.tar\.gz
