## cpp-netlib 0.11.2+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,9 @@
 
 option( CPP-NETLIB_BUILD_SHARED_LIBS "Build cpp-netlib as shared libraries." OFF )
 option( CPP-NETLIB_BUILD_TESTS "Build the cpp-netlib project tests." ON)
+option( CPP-NETLIB_BUILD_EXPERIMENTS "Build the cpp-netlib project experiments." ON)
 option( CPP-NETLIB_BUILD_EXAMPLES "Build the cpp-netlib project examples." ON)
+option( CPP-NETLIB_ENABLE_HTTPS "Build cpp-netlib with support for https if OpenSSL is found." ON)
 
 include(GNUInstallDirs)
 
@@ -16,7 +18,7 @@
 if(WIN32 AND NOT CYGWIN)
     set(DEF_INSTALL_CMAKE_DIR CMake)
 else()
-    set(DEF_INSTALL_CMAKE_DIR lib/cmake/cppnetlib)
+    set(DEF_INSTALL_CMAKE_DIR ${CMAKE_INSTALL_LIBDIR}/cmake/cppnetlib)
 endif()
 set(INSTALL_CMAKE_DIR ${DEF_INSTALL_CMAKE_DIR} CACHE PATH "Installation directory for CMake files")
 
@@ -42,13 +44,17 @@
 find_package( Boost 1.54.0
     REQUIRED unit_test_framework system regex date_time thread filesystem
     program_options chrono atomic )
-find_package( OpenSSL )
+
+if (CPP-NETLIB_ENABLE_HTTPS)
+    find_package( OpenSSL )
+endif()
+
 find_package( Threads )
 set(CMAKE_VERBOSE_MAKEFILE true)
 
 set(CPPNETLIB_VERSION_MAJOR 0) # MUST bump this whenever we make ABI-incompatible changes
 set(CPPNETLIB_VERSION_MINOR 11)
-set(CPPNETLIB_VERSION_PATCH 0)
+set(CPPNETLIB_VERSION_PATCH 1)
 set(CPPNETLIB_VERSION_STRING ${CPPNETLIB_VERSION_MAJOR}.${CPPNETLIB_VERSION_MINOR}.${CPPNETLIB_VERSION_PATCH})
 
 if (CMAKE_BUILD_TYPE MATCHES Debug)
@@ -87,7 +93,9 @@
     if (CPP-NETLIB_BUILD_TESTS)
       add_subdirectory(libs/network/test)
     endif (CPP-NETLIB_BUILD_TESTS)
-    add_subdirectory(libs/network/experiment)
+    if (CPP-NETLIB_BUILD_EXPERIMENTS)
+      add_subdirectory(libs/network/experiment)
+    endif (CPP-NETLIB_BUILD_EXPERIMENTS)
     if (NOT MSVC AND CPP-NETLIB_BUILD_TESTS)
       add_subdirectory(libs/mime/test)
     endif(NOT MSVC AND CPP-NETLIB_BUILD_TESTS)
@@ -119,11 +127,12 @@
 file(RELATIVE_PATH REL_INCLUDE_DIR "${INSTALL_CMAKE_DIR}"
     "${CMAKE_INSTALL_FULL_INCLUDEDIR}")
 # ... for the build tree
-set(CONF_INCLUDE_DIRS "${PROJECT_SOURCE_DIR}")
+set(CONF_INCLUDE_DIRS "${PROJECT_SOURCE_DIR}" ${Boost_INCLUDE_DIRS})
 configure_file(cppnetlibConfig.cmake.in
     "${PROJECT_BINARY_DIR}/cppnetlibConfig.cmake" @ONLY)
 # ... for the install tree
 set(CONF_INCLUDE_DIRS "\${CPPNETLIB_CMAKE_DIR}/${REL_INCLUDE_DIR}")
+set(CONF_INCLUDE_DIRS ${CONF_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
 configure_file(cppnetlibConfig.cmake.in
     "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/cppnetlibConfig.cmake" @ONLY)
 # ... for both
