=== libs/mime/test/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,8 @@
     add_executable ( mime-roundtrip mime-roundtrip.cpp )
     target_link_libraries ( mime-roundtrip ${Boost_LIBRARIES}
       ${CMAKE_THREAD_LIBS_INIT})
+    set_target_properties( mime-roundtrip
+        PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${CPP-NETLIB_BINARY_DIR}/tests)
     add_test ( mime-roundtrip ${CPP-NETLIB_BINARY_DIR}/tests/mime-roundtrip )
   endif ()
 endif()
