=== libs/network/test/http/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 
 if (Boost_FOUND)
     set ( TESTS
+        response_incremental_parser_test
         request_incremental_parser_test
 	      request_linearize_test
         )
@@ -74,6 +75,9 @@
         add_executable(cpp-netlib-http-${test} ${test}.cpp)
         add_dependencies(cpp-netlib-http-${test} cppnetlib-server-parsers)
         target_link_libraries(cpp-netlib-http-${test} ${Boost_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} cppnetlib-server-parsers)
+        if (OPENSSL_FOUND)
+            target_link_libraries(cpp-netlib-http-${test} ${OPENSSL_LIBRARIES})
+        endif()
 	      if (${CMAKE_CXX_COMPILER_ID} MATCHES GNU AND ${CMAKE_SYSTEM_NAME} MATCHES "Windows")
           target_link_libraries(cpp-netlib-http-${test} ws2_32 wsock32)
         endif()
