=== debian/changelog ===
cpp-netlib (0.11.2+dfsg1-2) unstable; urgency=medium

  * Fix test failures, by including a new missing dependency.

 -- Ximin Luo <infinity0@debian.org>  Thu, 03 Sep 2015 03:24:24 +0200

cpp-netlib (0.11.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Wed, 02 Sep 2015 16:36:00 +0200
