=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: cpp-netlib
 Priority: extra
-Maintainer: Ximin Luo <infinity0@pwned.gg>
+Maintainer: Ximin Luo <infinity0@debian.org>
 Build-Depends: debhelper (>= 9), cmake,
  libboost-test-dev (>= 1.54),
  libboost-system-dev (>= 1.54),
@@ -10,13 +10,15 @@
  libboost-filesystem-dev (>= 1.54),
  libboost-program-options-dev (>= 1.54),
  libboost-chrono-dev (>= 1.54),
- libssl-dev
+ libssl-dev,
+# needed for tests
+ python
 Build-Depends-Indep: python-sphinx
 Standards-Version: 3.9.6
 Section: libs
 Homepage: http://cpp-netlib.org/
-Vcs-Git: git://anonscm.debian.org/users/infinity0-guest/cpp-netlib.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/infinity0-guest/cpp-netlib.git
+Vcs-Git: https://anonscm.debian.org/git/users/infinity0/cpp-netlib.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/infinity0/cpp-netlib.git
 
 Package: libcppnetlib-dev
 Section: libdevel
