=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,15 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# reproducible documentation
+export SOURCE_DATE_EPOCH := $(shell debian/strip-nondeterminism/dpkg-sourcedate)
+
+DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+
+ifneq (,$(filter $(DEB_BUILD_ARCH),mips mipsel))
+	export DEB_CXXFLAGS_MAINT_APPEND = --param ggc-min-expand=20
+endif
 
 %:
 	dh $@
