=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
http://cpp-netlib.org/ http://downloads.cpp-netlib.org/(?:\d.*)/cpp-netlib-(.*?)(?:-final)?\.tar\.gz
